﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01//EN"/>

    <xsl:param name="searchString"/>
    <xsl:param name="noResults"/>
    
    <xsl:template match="/">
            <xsl:call-template name="searchWord">
                <xsl:with-param name="str" select="$searchString"/>
                <xsl:with-param name="nodes" select="//sect[@id]"/>
            </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="sect">
        <div class="webfx-tree-item" id="{concat('webfx-search-object-',@id)}" title="{@title}">
            <span id="{concat('webfx-search-object-',@id,'-page')}" style="position:absolute; ">
                <!--        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text> -->   
                <img class="img-icon" id="{concat('webfx-search-object-',@id,'-page-img')}" onclick="{concat('openRefSearch(',@id,')')}"  src="image/page.png"/>
            </span>
            <a id="{concat('webfx-search-object-',@id,'-anchor')}" href="{concat('page',@id,'.html')}" class="webfx-tree-link" onfocus="{concat('selectSearch(',@id,');')}">
                <xsl:value-of select="@title"/>
            </a>
        </div>   
    </xsl:template>
    
    <xsl:template name="searchWord">
        <xsl:param name="nodes"/>
        <xsl:param name="str"/>
        <xsl:variable name="strTrim" select="normalize-space($str)"/>
        <xsl:variable name="word">
            <xsl:choose>
                <xsl:when test="contains($str,' ')">
                    <xsl:value-of select="substring-before($str,' ')"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="$str"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:choose>
            <xsl:when test="string-length($strTrim)">
                    <xsl:call-template name="searchWord">
                        <xsl:with-param name="str" select="substring-after($strTrim,' ')"/>
                        <xsl:with-param name="nodes" select="$nodes[p//text()[contains(.,$word)]]"/>
                    </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:choose>
                    <xsl:when test="$nodes">
                        <xsl:apply-templates select="$nodes"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <span class="noresults"><xsl:value-of select="$noResults"/></span>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:otherwise>
        </xsl:choose>

    </xsl:template>
   
</xsl:stylesheet>
